Bug 834966 - kernel BUG at drivers/scsi/scsi_lib.c:1154!
kernel BUG at drivers/scsi/scsi_lib.c:1154!
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Stanislaw Gruszka
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-24 22:10 EDT by m.geisterfer
Modified: 2012-07-09 04:00 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-09 04:00:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description m.geisterfer 2012-06-24 22:10:12 EDT
Description of problem:
Machine locks up while copying from Raid Array (Raid10) 4x1.5TB WD Drives to eSATA drive 2.0TB. Raid Array is attached to 3Ware 9650SE-4l Raid Card with all 4 drives in Direct Mode. Getting error from system for Port 3 from 3ware.


Version-Release number of selected component (if applicable):
3ware 9.52 software
kernel.x86_64 0:3.4.3-1.fc17

How reproducible:
/Drive1 = Raid Array /dev/md0

/Temp9000 = /dev/sdd1

Steps to Reproduce:
1. cp -nvf /Drive1/Movies /Temp9000

Log from /var/log/messages
------------[ cut here ]------------
Jun 24 21:41:37 ServerBox kernel: [ 2784.385545] kernel BUG at drivers/scsi/scsi_lib.c:1154!
Jun 24 21:41:37 ServerBox kernel: [ 2784.385563] invalid opcode: 0000 [#1] SMP
Jun 24 21:41:37 ServerBox kernel: [ 2784.385590] CPU 0
Jun 24 21:41:37 ServerBox kernel: [ 2784.385602] Modules linked in: fuse ip6table_filter ip6_tables ebtable_nat ebtables lockd bnep ipt_MASQUERADE iptable_nat nf_nat sunrpc nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack bluetooth rfkill xt_CHECKSUM iptable_mangle bridge stp llc hwmon_vid be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i cxgb3 mdio libcxgbi ib_iser rdma_cm ib_addr iw_cm ib_cm ib_sa ib_mad ib_core iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi raid10 snd_hda_codec_hdmi raid1 snd_hda_codec_via usblp serio_raw k8temp edac_core edac_mce_amd shpchp forcedeth ftdi_sio snd_hda_intel snd_hda_codec snd_hwdep snd_pcm snd_page_alloc snd_timer snd soundcore i2c_nforce2 asus_atk0110 vhost_net tun macvtap macvlan kvm_amd kvm uinput ata_generic pata_acpi 3w_9xxx pata_amd nouveau mxm_wmi wmi video i2c_algo_bit drm_kms_helper ttm drm i2c_core [last unloaded: scsi_wait_scan]
Jun 24 21:41:37 ServerBox kernel: [ 2784.386128]
Jun 24 21:41:37 ServerBox kernel: [ 2784.386141] Pid: 11884, comm: kworker/0:1 Not tainted 3.4.2-4.fc17.x86_64 #1 System manufacturer System Product Name/M3N78-VM
Jun 24 21:41:37 ServerBox kernel: [ 2784.386181] RIP: 0010:[<ffffffff813c22d2>]  [<ffffffff813c22d2>] scsi_setup_fs_cmnd+0x92/0xa0
Jun 24 21:41:37 ServerBox kernel: [ 2784.386228] RSP: 0018:ffff880154fd1ce0  EFLAGS: 00010046
Jun 24 21:41:37 ServerBox kernel: [ 2784.386243] RAX: 0000000000000000 RBX: ffff880192b1d800 RCX: 0000000000000001
Jun 24 21:41:37 ServerBox kernel: [ 2784.386261] RDX: 0000000000000000 RSI: ffff88019631c170 RDI: ffff880192b1d800
Jun 24 21:41:37 ServerBox kernel: [ 2784.386279] RBP: ffff880154fd1cf0 R08: ffff88019fc1b690 R09: 0000000000000001
Jun 24 21:41:37 ServerBox kernel: [ 2784.386298] R10: ffff880192b1d800 R11: ffff88019631c170 R12: ffff88019631c170
Jun 24 21:41:37 ServerBox kernel: [ 2784.386316] R13: 0000000000000000 R14: ffff880192a97400 R15: 0000000000eaece8
Jun 24 21:41:37 ServerBox kernel: [ 2784.386336] FS:  00007fd7ce13a880(0000) GS:ffff88019fc00000(0000) knlGS:0000000000000000
Jun 24 21:41:37 ServerBox kernel: [ 2784.386355] CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
Jun 24 21:41:37 ServerBox kernel: [ 2784.386363] CR2: 00007f4a085c9000 CR3: 0000000179539000 CR4: 00000000000007f0
Jun 24 21:41:37 ServerBox kernel: [ 2784.386363] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
Jun 24 21:41:37 ServerBox kernel: [ 2784.386363] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Jun 24 21:41:37 ServerBox kernel: [ 2784.386363] Process kworker/0:1 (pid: 11884, threadinfo ffff880154fd0000, task ffff88017960ae00)
Jun 24 21:41:37 ServerBox kernel: [ 2784.386363] Stack:
Jun 24 21:41:37 ServerBox kernel: [ 2784.386363]  ffff88019631c170 ffff8801928751d0 ffff880154fd1d70 ffffffff813d0cbf
Jun 24 21:41:37 ServerBox kernel: [ 2784.386363]  ffff88019631c170 0000000000000000 ffff880154fd1d70 ffffffff812b91e2
Jun 24 21:41:37 ServerBox kernel: [ 2784.386363]  ffff880100000000 ffff880192b1d800 000000010025e851 ffff880199406e01
Jun 24 21:41:37 ServerBox kernel: [ 2784.386363] Call Trace:
Jun 24 21:41:37 ServerBox kernel: [ 2784.386363]  [<ffffffff813d0cbf>] sd_prep_fn+0x15f/0xdf0
Jun 24 21:41:37 ServerBox kernel: [ 2784.386363]  [<ffffffff812b91e2>] ? cfq_dispatch_requests+0x212/0xbb0
Jun 24 21:41:37 ServerBox kernel: [ 2784.386363]  [<ffffffff812a0be3>] blk_peek_request+0x113/0x220
Jun 24 21:41:37 ServerBox kernel: [ 2784.386363]  [<ffffffff813c3418>] scsi_request_fn+0x58/0x470
Jun 24 21:41:37 ServerBox kernel: [ 2784.386363]  [<ffffffff8129ff1c>] blk_delay_work+0x3c/0x60
Jun 24 21:41:37 ServerBox kernel: [ 2784.386363]  [<ffffffff81072bb9>] process_one_work+0x129/0x400
Jun 24 21:41:37 ServerBox kernel: [ 2784.386363]  [<ffffffff8129fee0>] ? submit_bio+0x110/0x110
Jun 24 21:41:37 ServerBox kernel: [ 2784.386363]  [<ffffffff810731e6>] worker_thread+0x126/0x2e0
Jun 24 21:41:37 ServerBox kernel: [ 2784.386363]  [<ffffffff810730c0>] ? rescuer_thread+0x1f0/0x1f0
Jun 24 21:41:37 ServerBox kernel: [ 2784.386363]  [<ffffffff81077fc3>] kthread+0x93/0xa0
Jun 24 21:41:37 ServerBox kernel: [ 2784.386363]  [<ffffffff815f9be4>] kernel_thread_helper+0x4/0x10
Jun 24 21:41:37 ServerBox kernel: [ 2784.386363]  [<ffffffff81077f30>] ? flush_kthread_worker+0x80/0x80
Jun 24 21:41:37 ServerBox kernel: [ 2784.386363]  [<ffffffff815f9be0>] ? gs_change+0x13/0x13
Jun 24 21:41:37 ServerBox kernel: [ 2784.386363] Code: c3 48 8b 00 48 85 c0 74 b7 48 8b 40 48 48 85 c0 74 ae 4c 89 e6 48 89 df ff d0 85 c0 74 a2 eb dc b8 02 00 00 00 0f 1f 40 00 eb d1 <0f> 0b 66 66 66 2e 0f 1f 84 00 00 00 00 00 55 48 89 e5 48 83 ec
Jun 24 21:41:37 ServerBox kernel: [ 2784.386363] RIP  [<ffffffff813c22d2>] scsi_setup_fs_cmnd+0x92/0xa0
Jun 24 21:41:37 ServerBox kernel: [ 2784.386363]  RSP <ffff880154fd1ce0>
Jun 24 21:41:37 ServerBox kernel: [ 2784.386363] ---[ end trace 804ad12dfcddab70 ]---

Error seen earlier
3w-9xxx: scsi8: AEN: ERROR (0x04:0x0026): Drive ECC error reported:port=1, unit=3.
Comment 1 m.geisterfer 2012-06-24 22:19:44 EDT
Oops the copy command is incorrect....
s/b cp -nvr .....
Comment 2 m.geisterfer 2012-06-24 22:22:02 EDT
Rebooted, started Copying Again...
New messages in /var/log/messages

 ------------[ cut here ]------------
Jun 24 22:15:06 ServerBox kernel: [  372.516839] kernel BUG at drivers/scsi/scsi_lib.c:1154!
Jun 24 22:15:06 ServerBox kernel: [  372.516857] invalid opcode: 0000 [#1] SMP
Jun 24 22:15:06 ServerBox kernel: [  372.516880] CPU 1
Jun 24 22:15:06 ServerBox kernel: [  372.516890] Modules linked in: ip6table_filter ip6_tables ebtable_nat ebtables lockd sunrpc bnep bluetooth rfkill ipt_MASQUERADE iptable_nat nf_nat nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack xt_CHECKSUM iptable_mangle bridge stp llc hwmon_vid be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i cxgb3 mdio libcxgbi ib_iser rdma_cm ib_addr iw_cm ib_cm ib_sa ib_mad ib_core iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi snd_hda_codec_hdmi raid10 raid1 snd_hda_codec_via usblp serio_raw edac_core forcedeth edac_mce_amd shpchp k8temp snd_hda_intel snd_hda_codec ftdi_sio snd_hwdep snd_pcm snd_page_alloc snd_timer snd soundcore asus_atk0110 i2c_nforce2 vhost_net tun macvtap macvlan kvm_amd kvm uinput ata_generic pata_acpi 3w_9xxx pata_amd nouveau mxm_wmi wmi video i2c_algo_bit drm_kms_helper ttm drm i2c_core [last unloaded: scsi_wait_scan]
Jun 24 22:15:06 ServerBox kernel: [  372.517388]
Jun 24 22:15:06 ServerBox kernel: [  372.517402] Pid: 86, comm: kworker/1:2 Not tainted 3.4.3-1.fc17.x86_64 #1 System manufacturer System Product Name/M3N78-VM
Jun 24 22:15:06 ServerBox kernel: [  372.517439] RIP: 0010:[<ffffffff813c22e2>]  [<ffffffff813c22e2>] scsi_setup_fs_cmnd+0x92/0xa0
Jun 24 22:15:06 ServerBox kernel: [  372.517482] RSP: 0018:ffff880192a81ce0  EFLAGS: 00010046
Jun 24 22:15:06 ServerBox kernel: [  372.517497] RAX: 0000000000000000 RBX: ffff8801924be000 RCX: 0000000000000001
Jun 24 22:15:06 ServerBox kernel: [  372.517515] RDX: 0000000000000000 RSI: ffff8801945892b0 RDI: ffff8801924be000
Jun 24 22:15:06 ServerBox kernel: [  372.517534] RBP: ffff880192a81cf0 R08: ffff88019fc5b690 R09: 0000000000000001
Jun 24 22:15:06 ServerBox kernel: [  372.517553] R10: ffff8801924be000 R11: ffff8801945892b0 R12: ffff8801945892b0
Jun 24 22:15:06 ServerBox kernel: [  372.517571] R13: 0000000000000000 R14: ffff8801921a4400 R15: 000000002622b138
Jun 24 22:15:06 ServerBox kernel: [  372.517591] FS:  00007f04ae3ba740(0000) GS:ffff88019fc40000(0000) knlGS:0000000000000000
Jun 24 22:15:06 ServerBox kernel: [  372.517610] CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
Jun 24 22:15:06 ServerBox kernel: [  372.517626] CR2: 00007f0690b5d000 CR3: 000000016fc1a000 CR4: 00000000000007e0
Jun 24 22:15:06 ServerBox kernel: [  372.517645] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
Jun 24 22:15:06 ServerBox kernel: [  372.517665] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Jun 24 22:15:06 ServerBox kernel: [  372.517671] Process kworker/1:2 (pid: 86, threadinfo ffff880192a80000, task ffff880192fb1700)
Jun 24 22:15:06 ServerBox kernel: [  372.517671] Stack:
Jun 24 22:15:06 ServerBox kernel: [  372.517671]  ffff8801945892b0 ffff88019288d940 ffff880192a81d70 ffffffff813d0ccf
Jun 24 22:15:06 ServerBox kernel: [  372.517671]  ffff8801945892b0 0000000000000000 ffff880192a81d70 ffffffff812b91f2
Jun 24 22:15:06 ServerBox kernel: [  372.517671]  0000000000000000 ffff8801924be000 0000000100011af4 ffff88019288ca01
Jun 24 22:15:06 ServerBox kernel: [  372.517671] Call Trace:
Jun 24 22:15:06 ServerBox kernel: [  372.517671]  [<ffffffff813d0ccf>] sd_prep_fn+0x15f/0xdf0
Jun 24 22:15:06 ServerBox kernel: [  372.517671]  [<ffffffff812b91f2>] ? cfq_dispatch_requests+0x212/0xbb0
Jun 24 22:15:06 ServerBox kernel: [  372.517671]  [<ffffffff812a0bf3>] blk_peek_request+0x113/0x220
Jun 24 22:15:06 ServerBox kernel: [  372.517671]  [<ffffffff813c3428>] scsi_request_fn+0x58/0x470
Jun 24 22:15:06 ServerBox kernel: [  372.517671]  [<ffffffff8129ff2c>] blk_delay_work+0x3c/0x60
Jun 24 22:15:06 ServerBox kernel: [  372.517671]  [<ffffffff81072bc9>] process_one_work+0x129/0x400
Jun 24 22:15:06 ServerBox kernel: [  372.517671]  [<ffffffff8129fef0>] ? submit_bio+0x110/0x110
Jun 24 22:15:06 ServerBox kernel: [  372.517671]  [<ffffffff810731f6>] worker_thread+0x126/0x2e0
Jun 24 22:15:06 ServerBox kernel: [  372.517671]  [<ffffffff810730d0>] ? rescuer_thread+0x1f0/0x1f0
Jun 24 22:15:06 ServerBox kernel: [  372.517671]  [<ffffffff81077fd3>] kthread+0x93/0xa0
Jun 24 22:15:06 ServerBox kernel: [  372.517671]  [<ffffffff815f9c64>] kernel_thread_helper+0x4/0x10
Jun 24 22:15:06 ServerBox kernel: [  372.517671]  [<ffffffff81077f40>] ? flush_kthread_worker+0x80/0x80
Jun 24 22:15:06 ServerBox kernel: [  372.517671]  [<ffffffff815f9c60>] ? gs_change+0x13/0x13
Jun 24 22:15:06 ServerBox kernel: [  372.517671] Code: c3 48 8b 00 48 85 c0 74 b7 48 8b 40 48 48 85 c0 74 ae 4c 89 e6 48 89 df ff d0 85 c0 74 a2 eb dc b8 02 00 00 00 0f 1f 40 00 eb d1 <0f> 0b 66 66 66 2e 0f 1f 84 00 00 00 00 00 55 48 89 e5 48 83 ec
Jun 24 22:15:06 ServerBox kernel: [  372.517671] RIP  [<ffffffff813c22e2>] scsi_setup_fs_cmnd+0x92/0xa0
Jun 24 22:15:06 ServerBox kernel: [  372.517671]  RSP <ffff880192a81ce0>
Jun 24 22:15:06 ServerBox kernel: [  372.517671] ---[ end trace 2b494b5dffedbf12 ]---
Jun 24 22:15:07 ServerBox sh[676]: abrt-dump-oops: Found oopses: 1
Jun 24 22:15:07 ServerBox sh[676]: abrt-dump-oops: Creating dump directories
Jun 24 22:15:07 ServerBox abrtd: Directory 'oops-2012-06-24-22:15:07-1435-0' creation detected
Jun 24 22:15:07 ServerBox abrtd: Lock file '/var/spool/abrt/oops-2012-06-24-22:15:07-1435-0/.lock' is locked by process 1435
Jun 24 22:15:07 ServerBox abrt-dump-oops: Reported 1 kernel oopses to Abrt
Jun 24 22:15:07 ServerBox abrtd: Can't open file '/var/spool/abrt/oops-2012-06-24-22:15:07-1435-0/uid': No such file or directory
Jun 24 22:15:07 ServerBox abrtd: New problem directory /var/spool/abrt/oops-2012-06-24-22:15:07-1435-0, processing
Jun 24 22:15:07 ServerBox abrtd: Can't open file '/var/spool/abrt/oops-2012-06-24-22:15:07-1435-0/uid': No such file or directory
Jun 24 22:16:00 ServerBox kernel: [  394.721004] ------------[ cut here ]------------
Jun 24 22:16:00 ServerBox kernel: [  394.721004] WARNING: at kernel/watchdog.c:241 watchdog_overflow_callback+0x9a/0xc0()
Jun 24 22:16:00 ServerBox kernel: [  394.721004] Hardware name: System Product Name
Jun 24 22:16:00 ServerBox kernel: [  394.721004] Watchdog detected hard LOCKUP on cpu 1
Jun 24 22:16:00 ServerBox kernel: [  394.721004] Modules linked in: ip6table_filter ip6_tables ebtable_nat ebtables lockd sunrpc bnep bluetooth rfkill ipt_MASQUERADE iptable_nat nf_nat nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack xt_CHECKSUM iptable_mangle bridge stp llc hwmon_vid be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i cxgb3 mdio libcxgbi ib_iser rdma_cm ib_addr iw_cm ib_cm ib_sa ib_mad ib_core iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi snd_hda_codec_hdmi raid10 raid1 snd_hda_codec_via usblp serio_raw edac_core forcedeth edac_mce_amd shpchp k8temp snd_hda_intel snd_hda_codec ftdi_sio snd_hwdep snd_pcm snd_page_alloc snd_timer snd soundcore asus_atk0110 i2c_nforce2 vhost_net tun macvtap macvlan kvm_amd kvm uinput ata_generic pata_acpi 3w_9xxx pata_amd nouveau mxm_wmi wmi video i2c_algo_bit drm_kms_helper ttm drm i2c_core [last unloaded: scsi_wait_scan]
Jun 24 22:16:00 ServerBox kernel: [  394.721004] Pid: 86, comm: kworker/1:2 Tainted: G      D      3.4.3-1.fc17.x86_64 #1
Jun 24 22:16:00 ServerBox kernel: [  394.721004] Call Trace:
Jun 24 22:16:00 ServerBox kernel: [  394.721004]  <NMI>  [<ffffffff8105681f>] warn_slowpath_common+0x7f/0xc0
Jun 24 22:16:00 ServerBox kernel: [  394.721004]  [<ffffffff81056916>] warn_slowpath_fmt+0x46/0x50
Jun 24 22:16:00 ServerBox kernel: [  394.721004]  [<ffffffff8108be78>] ? sched_clock_cpu+0xa8/0x120
Jun 24 22:16:00 ServerBox kernel: [  394.721004]  [<ffffffff810dea30>] ? touch_nmi_watchdog+0x80/0x80
Jun 24 22:16:00 ServerBox kernel: [  394.721004]  [<ffffffff810deaca>] watchdog_overflow_callback+0x9a/0xc0
Jun 24 22:16:00 ServerBox kernel: [  394.721004]  [<ffffffff8111624d>] __perf_event_overflow+0x9d/0x230
Jun 24 22:16:00 ServerBox kernel: [  394.721004]  [<ffffffff811136b4>] ? perf_event_update_userpage+0x24/0x110
Jun 24 22:16:00 ServerBox kernel: [  394.721004]  [<ffffffff81116c44>] perf_event_overflow+0x14/0x20
Jun 24 22:16:00 ServerBox kernel: [  394.721004]  [<ffffffff81024667>] x86_pmu_handle_irq+0xe7/0x130
Jun 24 22:16:00 ServerBox kernel: [  394.721004]  [<ffffffff815f24cd>] perf_event_nmi_handler+0x1d/0x20
Jun 24 22:16:00 ServerBox kernel: [  394.721004]  [<ffffffff815f1ca9>] nmi_handle.isra.0+0x49/0x80
Jun 24 22:16:00 ServerBox kernel: [  394.721004]  [<ffffffff812a6310>] ? blk_abort_queue+0x110/0x110
Jun 24 22:16:00 ServerBox kernel: [  394.721004]  [<ffffffff815f1e69>] do_nmi+0x189/0x320
Jun 24 22:16:00 ServerBox kernel: [  394.721004]  [<ffffffff815f12fc>] end_repeat_nmi+0x1a/0x1e
Jun 24 22:16:00 ServerBox kernel: [  394.721004]  [<ffffffff812a6310>] ? blk_abort_queue+0x110/0x110
Jun 24 22:16:00 ServerBox kernel: [  394.721004]  [<ffffffff815f0b22>] ? _raw_spin_lock_irqsave+0x32/0x40
Jun 24 22:16:00 ServerBox kernel: [  394.721004]  [<ffffffff815f0b22>] ? _raw_spin_lock_irqsave+0x32/0x40
Jun 24 22:16:00 ServerBox kernel: [  394.721004]  [<ffffffff815f0b22>] ? _raw_spin_lock_irqsave+0x32/0x40
Jun 24 22:16:00 ServerBox kernel: [  394.721004]  <<EOE>>  <IRQ>  [<ffffffff812a633c>] blk_rq_timed_out_timer+0x2c/0x140
Jun 24 22:16:00 ServerBox kernel: [  394.721004]  [<ffffffff8106468b>] ? internal_add_timer+0xcb/0x130
Jun 24 22:16:00 ServerBox kernel: [  394.721004]  [<ffffffff81064d8b>] ? cascade+0x7b/0xa0
Jun 24 22:16:00 ServerBox kernel: [  394.721004]  [<ffffffff812a6310>] ? blk_abort_queue+0x110/0x110
Jun 24 22:16:00 ServerBox kernel: [  394.721004]  [<ffffffff810659c1>] run_timer_softirq+0x141/0x340
Jun 24 22:16:00 ServerBox kernel: [  394.721004]  [<ffffffff8105dbc0>] __do_softirq+0xc0/0x1e0
Jun 24 22:16:00 ServerBox kernel: [  394.721004]  [<ffffffff815f9d5c>] call_softirq+0x1c/0x30
Jun 24 22:16:00 ServerBox kernel: [  394.721004]  [<ffffffff810151f5>] do_softirq+0x75/0xb0
Jun 24 22:16:00 ServerBox kernel: [  394.721004]  [<ffffffff8105df95>] irq_exit+0xb5/0xc0
Jun 24 22:16:00 ServerBox kernel: [  394.721004]  [<ffffffff815fa69e>] smp_apic_timer_interrupt+0x6e/0x99
Jun 24 22:16:00 ServerBox kernel: [  394.721004]  [<ffffffff815f940a>] apic_timer_interrupt+0x6a/0x70
Jun 24 22:16:00 ServerBox kernel: [  394.721004]  <EOI>  [<ffffffff812b8045>] ? cfq_put_queue+0x85/0xf0
Jun 24 22:16:00 ServerBox kernel: [  394.721004]  [<ffffffff815f0811>] ? _raw_spin_unlock_irqrestore+0x11/0x20
Jun 24 22:16:00 ServerBox kernel: [  394.721004]  [<ffffffff812a41c3>] exit_io_context+0xd3/0xe0
Jun 24 22:16:00 ServerBox kernel: [  394.721004]  [<ffffffff8105b159>] do_exit+0x529/0x8a0
Jun 24 22:16:00 ServerBox kernel: [  394.721004]  [<ffffffff815f1b2d>] oops_end+0x9d/0xe0
Jun 24 22:16:00 ServerBox kernel: [  394.721004]  [<ffffffff81016798>] die+0x58/0x90
Jun 24 22:16:00 ServerBox kernel: [  394.721004]  [<ffffffff815f1440>] do_trap+0xc0/0x170
Jun 24 22:16:00 ServerBox kernel: [  394.721004]  [<ffffffff815f4782>] ? __atomic_notifier_call_chain+0x12/0x20
Jun 24 22:16:00 ServerBox kernel: [  394.721004]  [<ffffffff81013e4b>] do_invalid_op+0xab/0xc0
Jun 24 22:16:00 ServerBox kernel: [  394.721004]  [<ffffffff813c22e2>] ? scsi_setup_fs_cmnd+0x92/0xa0
Jun 24 22:16:00 ServerBox kernel: [  394.721004]  [<ffffffff815f9adb>] invalid_op+0x1b/0x20
Jun 24 22:16:00 ServerBox kernel: [  394.721004]  [<ffffffff813c22e2>] ? scsi_setup_fs_cmnd+0x92/0xa0
Jun 24 22:16:00 ServerBox kernel: [  394.721004]  [<ffffffff813d0ccf>] sd_prep_fn+0x15f/0xdf0
Jun 24 22:16:00 ServerBox kernel: [  394.721004]  [<ffffffff812b91f2>] ? cfq_dispatch_requests+0x212/0xbb0
Jun 24 22:16:00 ServerBox kernel: [  394.721004]  [<ffffffff812a0bf3>] blk_peek_request+0x113/0x220
Jun 24 22:16:00 ServerBox kernel: [  394.721004]  [<ffffffff813c3428>] scsi_request_fn+0x58/0x470
Jun 24 22:16:00 ServerBox kernel: [  394.721004]  [<ffffffff8129ff2c>] blk_delay_work+0x3c/0x60
Jun 24 22:16:00 ServerBox kernel: [  394.721004]  [<ffffffff81072bc9>] process_one_work+0x129/0x400
Jun 24 22:16:00 ServerBox kernel: [  394.721004]  [<ffffffff8129fef0>] ? submit_bio+0x110/0x110
Jun 24 22:16:00 ServerBox kernel: [  394.721004]  [<ffffffff810731f6>] worker_thread+0x126/0x2e0
Jun 24 22:16:00 ServerBox kernel: [  394.721004]  [<ffffffff810730d0>] ? rescuer_thread+0x1f0/0x1f0
Jun 24 22:16:00 ServerBox kernel: [  394.721004]  [<ffffffff81077fd3>] kthread+0x93/0xa0
Jun 24 22:16:00 ServerBox kernel: [  394.721004]  [<ffffffff815f9c64>] kernel_thread_helper+0x4/0x10
Jun 24 22:16:00 ServerBox kernel: [  394.721004]  [<ffffffff81077f40>] ? flush_kthread_worker+0x80/0x80
Jun 24 22:16:00 ServerBox kernel: [  394.721004]  [<ffffffff815f9c60>] ? gs_change+0x13/0x13
Jun 24 22:16:00 ServerBox kernel: [  394.721004] ---[ end trace 2b494b5dffedbf13 ]---
Comment 3 Stanislaw Gruszka 2012-07-02 06:59:14 EDT
Please install kernel-debug and do the following:

1) echo "0xffffffff" > /proc/sys/dev/scsi/logging_level
2) any steps needed to reproduce the problem i.e cp -nvf /Drive1/Movies /Temp9000 
3) dmesg > dmesg.txt 

Then attach file dmesg.txt to this bug report.
Comment 4 m.geisterfer 2012-07-06 20:20:17 EDT
Rebuilt system (F16-32Bit) saved files.
Reinstalled F17-64 Cannot replicate.
May be an issue with 3ware 9650 drives, failing drive and mdadm.

Cannot replicate with existing system, wait for next issue.
Comment 5 Stanislaw Gruszka 2012-07-09 04:00:47 EDT
Perhaps bug is 32-bit specific. I'm closing report with insufficient data resolution. If it will happen again please reopen this bug report and provide info requested in comment 3.

Note You need to log in before you can comment on or make changes to this bug.